KDE 4.7 PyKDE API Reference

- KDE's Python API

# KFileMetaDataWidget Class Reference

`from PyKDE4.kio import *`

Inherits: QWidget → QObject

## Detailed Description

Shows the meta data of one or more file items.

Meta data like name, size, rating, comment, ... are shown as several rows containing a description and the meta data value. It is possible for the user to change specific meta data like rating, tags and comment. The changes are stored automatically by the meta data widget.

Since:
  4.5

## Signals
| metaDataRequestFinished (KFileItemList items)
| urlActivated (KUrl url)
## Methods
| __init__ (self, QWidget parent=0)
bool | event (self, QEvent event)
bool | isReadOnly (self)
KFileItemList | items (self)
| setItems (self, KFileItemList items)
| setReadOnly (self, bool readOnly)
QSize | sizeHint (self)

## Signal Documentation

metaDataRequestFinished | ( | KFileItemList | items
| ) |  |  |

Is emitted after the meta data has been received for the items set by KFileMetaDataWidget.setItems().

Since:
  4.6

Signal syntax:
  `QObject.connect(source, SIGNAL("metaDataRequestFinished(const KFileItemList&)"), target_slot)`

urlActivated | ( | KUrl | url
| ) |  |  |

Is emitted, if a meta data represents an URL that has been clicked by the user.

Signal syntax:
  `QObject.connect(source, SIGNAL("urlActivated(const KUrl&)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

bool event | ( | self, |
|  | QEvent | event
| ) |  |  |

bool isReadOnly | ( |  | self ) |

KFileItemList items | ( |  | self ) |

setItems | ( | self, |
|  | KFileItemList | items
| ) |  |  |

Sets the items for which the meta data should be shown. The signal metaDataRequestFinished() will be emitted, as soon as the meta data for the items has been received.

setReadOnly | ( | self, |
|  | bool | readOnly
| ) |  |  |

If set to true, data such as the comment, tag or rating cannot be changed by the user. Per default read-only is disabled.

QSize sizeHint | ( |  | self ) |

See also:
  QWidget.sizeHint()